default:
  image: python:3.10.6

stages:
  - build
  - publish

build:
  stage: build
  script:
    - pip install -r requirements.txt
    - pyinstaller -F main.py
  artifacts:
    paths:
      - dist

publish-package:
  stage: publish
  image: registry.gitlab.com/gitlab-org/release-cli:latest
  script:
    - echo 'running release_job'
    - echo 'Previous Job ID is printed below'
    - echo $GE_JOB_ID
  needs:
    - job: build
      artifacts: true
  release:
    name: 'Release Executables $CI_COMMIT_SHORT_SHA'
    description: 'Created using the release-cli'
    # tag_name is a mendatory field and can not be an empty string
    tag_name: '$CI_COMMIT_SHORT_SHA'
    assets:
      links:
        - name: 'Linux executable'
          url: 'https://gitlab.com/m.devrees/project-fetcher/cw/-/jobs/${GE_JOB_ID}/artifacts/file/dist/main'
  only:
    - main
